Subject: Re: bug#36511: extraneous recompiles of scm files while editing gnu/packages/

From: Robert Vollmert <[email-masked]>
Date: Mon, 8 Jul 2019 09:50:21 +0200

> On 5. Jul 2019, at 22:40, Ludovic Courtès <[email-masked]> wrote:
> 
> Hi,
> 
> Robert Vollmert <[email-masked]> skribis:
> 
>> rob@garp ~/guix$ nano gnu/packages/haskell.scm 
>> rob@garp ~/guix$ ./pre-inst-env guix build ghc-ansi-wl-pprint
> 
> I’d suggest running “make” once you’ve edited a file.
> 
> It’s not strictly necessary (Guile then simply evaluates code instead of
> running compiled code), but it will allow you to get rid of these
> warnings, the compiler might warn you ahead of time of possible
> mistakes, and the whole thing will be slightly faster.
> 
> Does that make sense?

It does make sense. However once again my complaint is a bit more about the
developer experience than how to work around the current state. I feel that
a situation where the obvious thing works but is painful (guile debug spam,
slowness) and you need to learn to do things differently (always run make first,
which frequently causes work you don’t even care about, such as a guix-daemon
recompile or po-file work) could be improved upon.

Concretely, this bug report is in response to
https://lists.gnu.org/archive/html/guix-devel/2019-07/msg00009.html

In that spirit, “you should run make first” is not answer I’m completely
happy with. :)

Cheers
Robert